from Menu import Menu
from Utils import Utils

##
# @mainpage Projet Open Quiz
# Cette application à pour objectif de définir une version minimaliste du projet OpenQuiz
#
# @section intro_sec Fonctionnalités
# Manipulation directe des contenus (Création / consultation / modification /
# suppression (peut varier selon le type choisi)):  \n
# 1. Personnels (Créés ou importés par l'auteur connecté)\n
# 2. Tiers (Créés par d'autres auteurs et 'appropriés') \n
# 3. En Cours (Fichiers en cours de modification) \n
# 4. En Banque (Fichiers publiés de tous les autres auteurs) \n Actions annexes :  \n
# 5. Gestion des mises à jour des contenus (Maj perso / tiers et suivi des demandes de publication) \n
# 6. Gestion des évaluations (Création / consultation / suppression) \n\n
# 7. (Non implémenté) Gestion des tags personnalisés \n


# @section tools_sec Les plugins et outils utilisés sont :
# Doxygen 1.8.17 (& l'outil DoxyWizard, plus facile à manipuler) \n
# Git 2.25.1 \n
# Python 3.8.5 \n
# Mongodb 4.4.5 \n
# plugins python (pip3 20.0.2) : gitpython 3.1.14,  pymongo 3.11.3 \n
# @section install_sec Installation :
# 1. Cloner le projet sur le disque \n
# 2. Installer les outils mentionnés ci dessus \n
# 3. Modifier le chemin présent à la ligne 21 du fichier Utils.py (et le remplacer par le chemin ou vous avez cloné le dépôt git) \n
# 4. Lancer Main.py, soit directement à la main, soit via un IDE configuré pour ça (environnement virtual utilisable) \n
#Menu()


Utils.initialise_mongo()
contenus_autres  = Utils.get_contenus("Auteur 1", False)

for elt in contenus_autres:
    print("id : ", elt["id"], "nom :", elt["fichier"], " - v", elt["versionEnCours"]["numero"], " - du",
          elt["versionEnCours"]["date"])
print (" -------------------------------------------- ")
contenus = Utils.get_contenus("Auteur 1", True)
for elt in contenus:
    print("id : ", elt["id"], "nom :", elt["fichier"], " - v", elt["versionEnCours"]["numero"], " - du",
          elt["versionEnCours"]["date"])


# Utils.tout_peter()
# Utils.creer_auteur_si_besoin()
# Utils.ajouter_contenu("Contenu1", "Auteur 1")
# Utils.detruire_fichier_tmp(1, "Auteur 1")
